Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
AnnotationSummarySettings Class Reference

## Public Member Functions
| constructor ()
| Constructor, with parameters.
| EnableOutputNoAnnotationPage (enable)
| Set the flag to decide whether to output information of pages which have no annotation. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetAnnotThumbnail (type, thumbnail)
| Set the markup annotation thumbnail used in result document to indicates the type of annotation. More...
| SetAnnotType (type, use_all)
| Set the option to decide which type of annotations will be summarized. More...
| SetConnectorLineColor (color)
| Set connector line color. More...
| SetConnectorLineOpacity (opacity)
| Set connector line opacity. More...
| SetEndPage (page_index)
| Set ending page index. More...
| SetFileTitle (title)
| Set the file title string when location of the document needs to be outputed in result document. More...
| SetFontSize (type)
| Set the font size type used in result document of annotation summary. More...
| SetPageMargin (margin)
| Set the page margin used in result document. More...
| SetPageRect (rect)
| Set the page rectangle in result document. More...
| SetSortType (type)
| Set the option to decide to sort annotation by what. More...
| SetStartPage (page_index)
| Set starting page index. More...
| SetSummaryLayout (type)
| Set summary layout type. More...

## Static Public Attributes
static | e_FontSizeLarge
| If set, that means to use large font size in result document.
static | e_FontSizeMedium
| If set, that means to use medium font size in result document.
static | e_FontSizeSmall
| Enumeration for options used for font size type in result document. More...
static | e_SummaryLayoutAnnotationOnly
| If set, that means to layout annotations only.
static | e_SummaryLayoutSeparatePagesWithLine
| Enumeration for options used for annotation summary layout. More...
static | e_SummaryLayoutSeparatePagesWithSequenceNumber
| If set, that means to layout document and annotations with sequence numbers on separate pages.
static | e_SummaryLayoutSinglePageWithLine
| If set, that means to layout document and annotations with connector lines on single pages.
static | e_SummaryLayoutSinglePageWithSequenceNumber
| If set, that means to layout document and annotations with sequence numbers on separate pages.
static | e_TypeSortByAnnotationType
| If set, that means to sort annotation by annotation type in result document.
static | e_TypeSortByAuthor
| Enumeration for options used for sorting annotation in result document. More...
static | e_TypeSortByDate
| If set, that means to sort annotation by date in result document.
static | e_TypeSortByPage
| If set, that means to sort annotation by page in result document.

## Detailed Description

This class represents settings for summarizing annotation. This would be used in class AnnotationSummary.

See also
  AnnotationSummary

## Member Function Documentation

## ◆ EnableOutputNoAnnotationPage()

AnnotationSummarySettings.EnableOutputNoAnnotationPage | ( | enable |  | ) |

Set the flag to decide whether to output information of pages which have no annotation.

or a newly constructed object, if this function is not called, default value true will be used.

Parameters

  [in] | enable | A boolean value to decide whether to output information of pages which have no annotation: true means to output information of pages which have no annotation, while false means not to output information of pages which have no annotation,

Returns
  None.

## ◆ IsEmpty()

AnnotationSummarySettings.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetAnnotThumbnail()

AnnotationSummarySettings.SetAnnotThumbnail | ( | type | ,
|  | thumbnail |
| ) |  |

Set the markup annotation thumbnail used in result document to indicates the type of annotation.

Thumbnail bitmap does not use alpha channel. So user is recommended to set a bitmap without alpha channel to be the new thumbnail. If a bitmap with alpha channel is set, the new thumbnail will use white background by default.
If not set, no thumbnail will be used for corresponding annotation type.

Parameters

  [in] | type | Annotation type to decide whose thumbnail is to be set. Please refer to values starting from Annot.e_Note and this should be one of these values except Annot.e_Link, Annot.e_PSInk, Annot.e_Sound, Annot.e_Movie, Annot.e_Widget, Annot.e_Screen, Annot.e_PrinterMark, Annot.e_TrapNet, Annot.e_Watermark, Annot.e_3D, Annot.e_Popup, Annot.e_Redact.
  [in] | thumbnail | A bitmap used as thumbnail for an annotation type in result document. This should be a valid bitmap. If the bitmap size is not 12*12, the bitmap will be scaled to 12*12 when being used.

Returns
  None.

## ◆ SetAnnotType()

AnnotationSummarySettings.SetAnnotType | ( | type | ,
|  | use_all |
| ) |  |

Set the option to decide which type of annotations will be summarized.

For a newly constructed object, if this function is not called to set this option, that means to summarize annotation in all supported types.

Parameters

  [in] | type | Annotation type to decide which annotations is to be summarized. Please refer to values starting from Annot.e_Note and this should be one of these values except Annot.e_Link, Annot.e_PSInk, Annot.e_Sound, Annot.e_Movie, Annot.e_Widget, Annot.e_Screen, Annot.e_PrinterMark, Annot.e_TrapNet, Annot.e_Watermark, Annot.e_3D, Annot.e_Popup, Annot.e_Redact.
  [in] | use_all | A boolean value to decide whether to summarize all the supported annotations in result document: true means to summarize annotations in all the supported types. In this case, parameter type would be ignored. false means to only summarize annotations specified by parameter type.

Returns
  None.

## ◆ SetConnectorLineColor()

AnnotationSummarySettings.SetConnectorLineColor | ( | color |  | ) |

Set connector line color.

This option will take effect when summary layout type is set AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine or AnnotationSummarySettings.e_SummaryLayoutSinglePageWithLine by function by AnnotationSummarySettings.SetSummaryLayout. If not set, default value 0x000000 will be used.

Parameters

  [in] | color | Connector line color. Format: 0xRRGGBB.

Returns
  None.

## ◆ SetConnectorLineOpacity()

AnnotationSummarySettings.SetConnectorLineOpacity | ( | opacity |  | ) |

Set connector line opacity.

This option will take effect when summary layout type is set AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine or AnnotationSummarySettings.e_SummaryLayoutSinglePageWithLine by function by AnnotationSummarySettings.SetSummaryLayout. If not set, default value 1.0 will be used.

Parameters

  [in] | opacity | Connector line opacity. Valid range: from 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetEndPage()

AnnotationSummarySettings.SetEndPage | ( | page_index |  | ) |

Set ending page index.

For a newly constructed object, if this function is not called, default value (count-1) will be used as the ending page index. count is returned by function PDFDoc.GetPageCount for the PDF document whose annotations are to be summarized.

Parameters

  [in] | page_index | Page index to specify the ending page where summarizing operation ends. Valid range: from 0 to (count-1). count is returned by function PDFDoc.GetPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function AnnotationSummary.StartSummarize is called.

Returns
  None.

## ◆ SetFileTitle()

AnnotationSummarySettings.SetFileTitle | ( | title |  | ) |

Set the file title string when location of the document needs to be outputed in result document.

If not set, an empty string will be used as default.

Parameters

  [in] | title | Summary title used in result document.

Returns
  None.

## ◆ SetFontSize()

AnnotationSummarySettings.SetFontSize | ( | type |  | ) |

Set the font size type used in result document of annotation summary.

For a newly constructed object, if this function is not called to set this option, that means to use AnnotationSummarySettings.e_FontSizeMedium as the default value of this option.

Parameters

  [in] | type | Font size type used in result document of annotation summary. Please refer to values starting from AnnotationSummarySettings.e_FontSizeSmall and this should be one of these values.

Returns
  None.

## ◆ SetPageMargin()

AnnotationSummarySettings.SetPageMargin | ( | margin |  | ) |

Set the page margin used in result document.

This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page. If no margin value is set, Foxit PDF SDK will use a maring defined as (50.0, 50.0, 50.0, 50.0) as default.

Parameters

  [in] | margin | Page margin used in result document.

Returns
  None.

## ◆ SetPageRect()

AnnotationSummarySettings.SetPageRect | ( | rect |  | ) |

Set the page rectangle in result document.

If not set, default rectangle (0.0, 0.0, 612.0, 792.0) will be used.

Parameters

  [in] | rect | Page rectangle used in result document.

Returns
  None.

## ◆ SetSortType()

AnnotationSummarySettings.SetSortType | ( | type |  | ) |

Set the option to decide to sort annotation by what.

For a newly constructed object, if this function is not called to set this option, that means to use AnnotationSummarySettings.e_TypeSortByAnnotationType as the default value of this option.

Parameters

  [in] | type | Sorting type for summarizing annotations. Please refer to values starting from AnnotationSummarySettings.e_TypeSortByAuthor and this should be one of these values.

Returns
  None.

## ◆ SetStartPage()

AnnotationSummarySettings.SetStartPage | ( | page_index |  | ) |

Set starting page index.

For a newly constructed object, if this function is not called, default value 0 will be used as the starting page index.

Parameters

  [in] | page_index | Page index to specify the starting page where summarizing operation starts. Valid range: from 0 to (count-1). count is returned by function PDFDoc.GetPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function AnnotationSummary.StartSummarize is called.

Returns
  None.

## ◆ SetSummaryLayout()

AnnotationSummarySettings.SetSummaryLayout | ( | type |  | ) |

Set summary layout type.

For a newly constructed object, if this function is not called to set this option, that means to use AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine as the default value of this option.

Parameters

  [in] | type | Summary layout type. Please refer to values starting from AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine and this should be one of these values.

Returns
  None.

## Member Data Documentation

## ◆ e_FontSizeSmall

AnnotationSummarySettings.e_FontSizeSmall
| static

Enumeration for options used for font size type in result document.

Values of this enumeration can be used alone.

If set, that means to use small font size in result document.

## ◆ e_SummaryLayoutSeparatePagesWithLine

AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine
| static

Enumeration for options used for annotation summary layout.

Values of this enumeration can be used alone.

If set, that means to layout document and annotations with connector lines on separate pages.

## ◆ e_TypeSortByAuthor

AnnotationSummarySettings.e_TypeSortByAuthor
| static

Enumeration for options used for sorting annotation in result document.

Values of this enumeration can be used alone.

If set, that means to sort annotation by author in result document.